{% load i18n admin_urls static %}
<div class="js-inline-admin-formset inline-group" id="{{ inline_admin_formset.formset.prefix }}-group" data-inline-type="stacked" data-inline-formset="{{ inline_admin_formset.inline_formset_data }}">
  <hr/>
  <fieldset class="module">
    <div class="row">
      <div class="col-sm-6 collapse-fieldset">
        <h4>{{ inline_admin_formset.opts.verbose_name_plural|capfirst }} (<span class="inline-count">{{ inline_admin_formset.forms|length }}</span> elements)</h4>
      </div>
      <div class="col-sm-6 text-right collapse-fieldset">
          <span class="fieldset_toggle fa fa-eye-slash" title="show/hide"></span>
      </div>
    </div>
    
    {{ inline_admin_formset.formset.management_form }}
    {{ inline_admin_formset.formset.non_form_errors }}

    <div class="div_fieldset {{ inline_admin_formset.classes }}">
      {% if inline_admin_formset.forms|length >= inline_admin_formset.opts.limit_display %}
        <div class="alert alert-info alert-dismissible fade in" role="alert">
          <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
          <b>Ops!</b> This {{ inline_admin_formset.model_admin.opts.verbose_name|lower }} contains too many {{ inline_admin_formset.opts.verbose_name_plural|lower }}. The first {{ inline_admin_formset.opts.limit_display }} are shown below, you can see the others by <a target='_blank' href='/admin/{{ inline_admin_formset.model_admin.opts.app_label }}/{{ inline_admin_formset.opts.opts.model_name}}/?{{ inline_admin_formset.model_admin.opts.model_name }}__id__exact={{ original.pk }}'>clicking here</a>.
        </div>
      {% endif %}
    
      {% for inline_admin_form in inline_admin_formset %}
        <div class="inline-related{% if inline_admin_form.original or inline_admin_form.show_url %} has_original{% endif %}{% if forloop.last %} empty-form last-related{% endif %}" id="{{ inline_admin_formset.formset.prefix }}-{% if not forloop.last %}{{ forloop.counter0 }}{% else %}empty{% endif %}">

          <div class="row">
            <div class="col-sm-12">
            
              <div class="row">
                <div class="col-sm-12">
                  <h5><span class="inline_label">#{{ forloop.counter }}</span></h5>
                </div>
              </div>

              <div class="row">
                <div class="col-sm-12">
                  {% if inline_admin_form.form.non_field_errors %}{{ inline_admin_form.form.non_field_errors }}{% endif %}
                </div>
              </div>
              
              <div class="row">
                <div class="col-sm-12">
                  {% for fieldset in inline_admin_form %}
                    {% include "admin/includes/fieldset.html" %}
                  {% endfor %}
                </div>
              </div>
              
              <div class="row">
                <div class="col-sm-offset-3 col-sm-6">
                  {% if inline_admin_formset.formset.can_delete and inline_admin_form.original %}
                    <div class="alert alert-danger" role="alert">
                      <span class="delete">{{ inline_admin_form.deletion_field.field }} <label for="id_{{ inline_admin_formset.formset.prefix }}-{{ forloop.counter0 }}-DELETE" style="margin-left:5px;">I want delete this element.</label></span>
                    </div>
                  {% endif %}
                </div>
              </div>
              
              <div class="row">
                <div class="col-sm-12">
                  {% if inline_admin_form.needs_explicit_pk_field %}{{ inline_admin_form.pk_field.field }}{% endif %}
                  {{ inline_admin_form.fk_field.field }}
                </div>
              </div>
        
            </div>
          </div>        
          
        </div>
      {% endfor %}
    </div>
    <input class="formset_prefix" type="hidden" value="{{ inline_admin_formset.formset.prefix }}"/>
  </fieldset>
</div>